#include <stdio.h>
#include <stdlib.h>
#include <graph.h>

int main(int argc, char const *argv[])
{
	FILE* f;
	f = fopen("image.bin","r");
	int i, j;
	int largeur, hauteur;
	couleur c;

	fread(&largeur,4,1,f);
	fread(&hauteur,4,1,f);

	printf("%d\n",largeur);
	printf("%d\n",hauteur);

	InitialiserGraphique();
    CreerFenetre(10, 10, largeur, hauteur);
    fseek(f,8*largeur/2*hauteur,SEEK_CUR);
    for(i=largeur/2;i<largeur;i++){

    	fseek(f,8*hauteur/2,SEEK_CUR);

    	for(j=hauteur/2;j<hauteur;j++){
    		fread(&c,sizeof(unsigned long),1,f);
    		ChoisirCouleurDessin(c);
    		DessinerPixel(i, j);
    	}

    }
    Touche();
    FermerGraphique();
    fclose(f);
	return 0;
}